Calculate Limits for Finance Offer
1 min
GET
https://api.upstartcommerce.com/v1/finance-offers/{offerId}/limits
offerIdstring<uuid>The offer id used for lookups.
currencystring<p>The <a href="https://en.wikipedia.org/wiki/ISO_4217" target="_blank">3-character ISO code</a>. Must be one of the supported currencies (currently only USD is supported).</p>
amountnumber<float>Total cart value.
taxes-amountnumber<float>Absolute value of taxes of the current cart.
shipment-amountnumber<float>Absolute value of the shipping for the current cart.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site this call is for.
200<p>Success-minimum and maximum limits covered by finance offer returned.</p>
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request GET \
--url 'https://api.upstartcommerce.com/v1/finance-offers/{offerId}/limits?currency=USD&amount=number%3Cfloat%3E&taxes-amount=number%3Cfloat%3E&shipment-amount=number%3Cfloat%3E' \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'